CVE-2016-10245

NameCVE-2016-10245
DescriptionInsufficient sanitization of the query parameter in templates/html/search_opensearch.php could lead to reflected cross-site scripting or iframe injection.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1812-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
doxygen (PTS)jessie1.8.8-5vulnerable
jessie (security)1.8.8-5+deb8u1fixed
stretch1.8.13-4fixed
buster1.8.13-10fixed
bullseye, sid1.8.16-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
doxygensource(unstable)1.8.12-1
doxygensourcejessie1.8.8-5+deb8u1DLA-1812-1

Notes

https://bugzilla.gnome.org/show_bug.cgi?id=762934
https://github.com/doxygen/doxygen/commit/1cc1adad2de03a0f013881b8960daf89aa155081 (Release_1_8_12)

Search for package or bug name: Reporting problems